package com.example.tdl.domain.vo;

import java.util.List;

public class CircuitMessageVo {

    private String transportationNo;//运输编号

    private  String routeName;//线路

    private String cargoName;//货物名称

    private String plateNo;//车牌号

    private String transportation;//运输方式

    private String  evaluate;//运输评价

    private String alarmType;//预警类型

    private String SN;//网关编号

    private List<ResultCityVo> list;

    private List<ResultAlarmLog> alarmLogList;

    private List<TDL> tdlList;

    public static class TDL {
        private String tdlsn;

        private Double batteryVoltage;

        public TDL() {
        }

        public TDL(String tdlsn, Double batteryVoltage) {
            this.tdlsn = tdlsn;
            this.batteryVoltage = batteryVoltage;
        }

        public String getTdlsn() {
            return tdlsn;
        }

        public void setTdlsn(String tdlsn) {
            this.tdlsn = tdlsn;
        }

        public Double getBatteryVoltage() {
            return batteryVoltage;
        }

        public void setBatteryVoltage(Double batteryVoltage) {
            this.batteryVoltage = batteryVoltage;
        }
    }

    public CircuitMessageVo() {
    }

    public CircuitMessageVo(String transportationNo, String routeName, String cargoName, String plateNo, String transportation, String evaluate, String alarmType, String SN, List<ResultAlarmLog> alarmLogList) {
        this.transportationNo = transportationNo;
        this.routeName = routeName;
        this.cargoName = cargoName;
        this.plateNo = plateNo;
        this.transportation = transportation;
        this.evaluate = evaluate;
        this.alarmType = alarmType;
        this.SN = SN;
        this.alarmLogList = alarmLogList;
    }

    public String getTransportationNo() {
        return transportationNo;
    }

    public void setTransportationNo(String transportationNo) {
        this.transportationNo = transportationNo;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public String getCargoName() {
        return cargoName;
    }

    public void setCargoName(String cargoName) {
        this.cargoName = cargoName;
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo;
    }

    public String getTransportation() {
        return transportation;
    }

    public void setTransportation(String transportation) {
        this.transportation = transportation;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getEvaluate() {
        return evaluate;
    }

    public void setEvaluate(String evaluate) {
        this.evaluate = evaluate;
    }

    public String getSN() {
        return SN;
    }

    public void setSN(String SN) {
        this.SN = SN;
    }

    public List<ResultCityVo> getList() {
        return list;
    }

    public void setList(List<ResultCityVo> list) {
        this.list = list;
    }

    public List<ResultAlarmLog> getAlarmLogList() {
        return alarmLogList;
    }

    public void setAlarmLogList(List<ResultAlarmLog> alarmLogList) {
        this.alarmLogList = alarmLogList;
    }

    public List<TDL> getTdlList() {
        return tdlList;
    }

    public void setTdlList(List<TDL> tdlList) {
        this.tdlList = tdlList;
    }
}
