package com.example.tdl.mapper;


import com.example.tdl.domain.vo.AddCompanyVo;
import com.example.tdl.domain.vo.ResultCompanyVo;
import com.example.tdl.domain.vo.UpdateCompanyVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface CompanyMapper {
    List<ResultCompanyVo> getAll();

    int addCompany(AddCompanyVo addCompanyVo);

    int updateCompany(UpdateCompanyVo updateCompanyVo);

    int delCompany(Map<Object,Object> map);

    ResultCompanyVo getByCompanyName(String companyName);

    ResultCompanyVo getByCompanyNo(String companyNo);
}
